Bug 184376 - Destroy VMX domain will hang service OS (Xen0)
Destroy VMX domain will hang service OS (Xen0)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Juan Quintela
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2006-03-08 05:53 EST by You, Yongkang
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 19:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
serial port output when xen0 hang. (1007 bytes, text/plain)
2006-03-08 05:53 EST, You, Yongkang
no flags Details

  None (edit)
Description You, Yongkang 2006-03-08 05:53:24 EST
Description of problem:
I have tested latest Xen RPMs in IA32 and x86_64 platform.
Xen/XenU/VMX hasn't problem to run in IA32 platform.

But in x86_64 platform, if I destroy a VMX domain, the Xen0 will hang.
XenU hasn't this problem.

I paste the serial port output to attachment.

Version-Release number of selected component (if applicable):
kernel-xen0-2.6.15-1.2032_FC5.x86_64.rpm
kernel-xenU-2.6.15-1.2032_FC5.x86_64.rpm
xen-3.0.1-3.x86_64.rpm

OR:
kernel-xen0-2.6.15-1.2025_FC5.x86_64.rpm
kernel-xenU-2.6.15-1.2025_FC5.x86_64.rpm
xen-3.0.1-2.x86_64.rpm


How reproducible:
Every time.

Steps to Reproduce:
1. Install Xen RPMs in FC5-test3
2. Reboot system and go into Xen0
3. Xend start
4. Create a VMX domain
5. After VMX domain is booted up, destroy it in Xen0 or poweroff in VMX.
6. Whole system is hang.
  
Actual results:
Xen0 hang, if destroy VMX in x86_64 platform.

Expected results:


Additional info:
Comment 1 You, Yongkang 2006-03-08 05:53:24 EST
Created attachment 125790 [details]
serial port output when xen0 hang.
Comment 2 Rik van Riel 2006-03-15 16:58:04 EST
A fix for this got committed to the upstream Xen repository today.   

Jeremy? James?  Feel like pulling in this patch?
Comment 3 Stephen Tweedie 2006-03-15 17:13:04 EST
Juan, please pull in upstream xen-unstable.hg csets 9232 and 9236 to fix this.
Comment 4 You, Yongkang 2006-03-17 03:52:03 EST
:) Any updates?
Comment 5 Stephen Tweedie 2006-03-22 15:07:34 EST
These have been committed and should appear in the next FC5 updates kernel.
Comment 6 Daniel Berrange 2007-09-24 19:51:48 EDT
Closing on basis that comment #5 says its fixed & FC5 is end-of-life.

Note You need to log in before you can comment on or make changes to this bug.